package com.hdp.pi.wechat.handler;

import org.springframework.stereotype.Component;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.dom4j.Node;

import com.hdp.pi.wechat.messages.AbstractMessage;
import com.hdp.pi.wechat.messages.VoiceMessage;

/**
 * Created by Veal on 2015/5/15.
 */
@Component
public class VoiceMessageHander extends MessageHandler {
    @Override
    protected AbstractMessage decode(String message) throws DocumentException {
        Document doc= DocumentHelper.parseText(message);
        VoiceMessage voiceMessage=new VoiceMessage();
        voiceMessage.msgId= getXMLNodeText(doc,"/xml/MsgId");
        voiceMessage.mediaId=getXMLNodeText(doc,"/xml/MediaId");
        voiceMessage.format=getXMLNodeText(doc,"/xml/Format");
        voiceMessage.recognition=getXMLNodeText(doc,"/xml/Recognition");
        return voiceMessage;
    }
}
