package com.hdp.pi.wechat.handler;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.springframework.stereotype.Component;

import com.hdp.pi.wechat.messages.AbstractMessage;
import com.hdp.pi.wechat.messages.ImageMessage;

/**
 * Created by Veal on 2015/5/15.
 */
@Component
public class ImageMessageHandler extends MessageHandler {
    @Override
    protected AbstractMessage decode(String message) throws DocumentException {
    	Document doc = DocumentHelper.parseText(message);
        ImageMessage imageMessage=new ImageMessage();
        imageMessage.msgId = getXMLNodeText(doc,"/xml/MsgId");
        imageMessage.picUrl =getXMLNodeText(doc,"/xml/PicUrl");
        imageMessage.mediaId =getXMLNodeText(doc,"/xml/MediaId");
        return imageMessage;
    }
}
