package com.hdp.pi.wechat.handler;

import org.springframework.stereotype.Component;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;

import com.hdp.pi.wechat.messages.AbstractMessage;
import com.hdp.pi.wechat.messages.VideoMessage;

/**
 * Created by Veal on 2015/5/15.
 */
@Component
public class VideoMessageHandler extends MessageHandler {
    @Override
    protected AbstractMessage decode(String message) throws DocumentException {
        Document doc= DocumentHelper.parseText(message);
        VideoMessage videoMessage=new VideoMessage();
        videoMessage.msgId= getXMLNodeText(doc,"/xml/MsgId");
        videoMessage.mediaId=getXMLNodeText(doc,"/xml/MediaId");
        videoMessage.thumbMediaId=getXMLNodeText(doc,"/xml/ThumbMediaId");
        return videoMessage;
    }
}
